Module AccessStuff
    ' Determine the Access version by creating an
    ' Access.Application object and looking at
    ' its Version property.
    Public Function GetAccessVersionName() As String
        Dim obj As Object = CreateObject("Access.Application")
        Dim result As String = "Access.Application." & obj.Version
        obj.Quit()
        Return result
    End Function

    ' Get the Access version number from the name.
    Public Function GetAccessVersionNumber() As Integer
        Dim txt As String = GetAccessVersionName()
        Dim pos2 As Integer = txt.LastIndexOf(".")
        Dim pos1 As Integer = txt.LastIndexOf(".", pos2 - 1)
        txt = txt.Substring(pos1 + 1, pos2 - pos1 - 1)
        Return CInt(txt)
    End Function

    ' Get the nice style of the Access version name.
    Public Function GetAccessVersionNiceName() As String
        Select Case GetAccessVersionNumber()
            Case 8
                Return "Access 97"
            Case 9
                Return "Access 2000"
            Case 10
                Return "Access 2002" ' XP
            Case 11
                Return "Access 2003"
            Case 12
                Return "Access 2007"
            Case Else
                Return "unknown"
        End Select
    End Function
End Module
